Patch user
curl --request PATCH \
--url https://{tenant}.cubecloud.dev/api/scim/v2/Users/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:PatchOp"
],
"Operations": [
{
"op": "replace",
"path": "active",
"value": false
}
]
}
'import requests
url = "https://{tenant}.cubecloud.dev/api/scim/v2/Users/{id}"
payload = {
"schemas": ["urn:ietf:params:scim:api:messages:2.0:PatchOp"],
"Operations": [
{
"op": "replace",
"path": "active",
"value": False
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
schemas: ['urn:ietf:params:scim:api:messages:2.0:PatchOp'],
Operations: [{op: 'replace', path: 'active', value: false}]
})
};
fetch('https://{tenant}.cubecloud.dev/api/scim/v2/Users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userName": "<string>",
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"id": "<string>",
"name": {
"givenName": "<string>",
"familyName": "<string>"
},
"emails": [
{
"value": "<string>",
"primary": true
}
],
"active": true,
"externalId": "<string>",
"meta": {
"resourceType": "<string>",
"created": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"location": "<string>"
}
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"status": "404",
"detail": "Resource not found."
}Users
Patch user
Applies a partial update to a user using a SCIM
PatchOp.
Commonly used to deactivate a user by setting active to false.
PATCH
/
scim
/
v2
/
Users
/
{id}
Patch user
Authorizations
SCIM bearer token issued from your Cube Cloud account settings.
Path Parameters
The unique SCIM identifier of the resource.
Body
application/json
Response
The updated user.
A SCIM 2.0 core User resource.
Unique identifier for the user, typically their email address.
Example:
[
"urn:ietf:params:scim:schemas:core:2.0:User"
]
Unique identifier assigned by Cube Cloud. Read-only.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Whether the user is active. Set to false to deactivate.
Identifier of the user as defined by the provisioning client.
Show child attributes
Show child attributes
⌘I